javax.faces.view.facelets

## Class FaceletException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.faces.FacesException
        - - javax.faces.view.facelets.FaceletException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TagAttributeException, TagException

      public class FaceletException
      extends FacesException

  An Exception from the Facelet implementation

  Since:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaceletException()` Create an empty `FaceletException`.
    `FaceletException(String message)` Create a `FaceletException` with argument `message` as the message.
    `FaceletException(String message, Throwable cause)` Wrap argument `cause` in a `FaceletException` instance, with a message given by the argument `message`.
    `FaceletException(Throwable cause)` Wrap argument `cause` within this `FaceletException` instance.

  - ### Method Summary

    - ### Methods inherited from class javax.faces.FacesException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FaceletException

          public FaceletException()

      Create an empty `FaceletException`.

    - #### FaceletException

          public FaceletException(String message)

      Create a `FaceletException` with argument `message` as the message.

      Parameters:
        `message` - the textual message to display for the exception.

    - #### FaceletException

          public FaceletException(Throwable cause)

      Wrap argument `cause` within this `FaceletException` instance.

      Parameters:
        `cause` - the `Throwable` to wrap

    - #### FaceletException

          public FaceletException(String message,
                          Throwable cause)

      Wrap argument `cause` in a `FaceletException` instance, with a message given by the argument `message`.

      Parameters:
        `message` - the message for the `FacesException`
        `cause` - the root cause

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.